package it.integry.integrywmsnative.gest.prod_accettazione_ord_produzione;

import java.util.HashMap;

import it.integry.integrywmsnative.gest.ordini_uscita_elenco.filters.FilterNumeroOrdineLayoutView;
import it.integry.integrywmsnative.gest.prod_accettazione_ord_produzione.filters.FilterCommessaLayoutView;
import it.integry.integrywmsnative.ui.filter_chips.FilterChipDTO;

public class ProdOrdineProduzioneElencoBindings {

    public static final int NUM_ORD_FILTER_ID = 0;
    public static final int COMMESSA_FILTER_ID = 1;

    public static final HashMap<Integer, FilterChipDTO> AVAILABLE_FILTERS = new HashMap<>() {{

            put(NUM_ORD_FILTER_ID, new FilterChipDTO()
                    .setID(NUM_ORD_FILTER_ID)
                    .setFilterChipText("Numero ordine")
                    .setFilterLayoutView(new FilterNumeroOrdineLayoutView()));

            put(COMMESSA_FILTER_ID, new FilterChipDTO()
                    .setID(COMMESSA_FILTER_ID)
                    .setFilterChipText("Commessa")
                    .setFilterLayoutView(new FilterCommessaLayoutView()));

        }};

}
